尝试制作scim1.4的deb,记录过程如下:

为当前最终发行版之前的所有版本提供支持
回复
头像
oneleaf
论坛管理员
帖子: 10238
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 107 次

尝试制作scim1.4的deb,记录过程如下:

#1

帖子 oneleaf » 2005-07-19 16:59

sudo apt-get install gtk2-engines-dev
sudo apt-get install build-essential
sudo apt-get install dh-make
sudo apt-get install debhelper
sudo apt-get install fakeroot

#scim 完成
mkdir scim
cd scim
wget http://jaist.dl.sourceforge.net/sourcef ... 4.0.tar.gz
tar zxvf scim-1.4.0.tar.gz
cd scim-1.4.0
dh_make -e oneleaf@gmail.com -f ../scim-1.4.0.tar.gz
dpkg-buildpackage -rfakeroot
cd ../../

#scim-tables 完成
mkdir scim-tables
cd scim-tables
wget http://jaist.dl.sourceforge.net/sourcef ... 5.1.tar.gz
tar zxvf scim-tables-0.5.1.tar.gz
cd scim-tables-0.5.1
dh_make -e oneleaf@gmail.com -f ../scim-tables-0.5.1.tar.gz
dpkg-buildpackage -rfakeroot
cd ../../

#scim-pingyin 完成
mkdir scim-pingyin
cd scim-pingyin
wget http://jaist.dl.sourceforge.net/sourcef ... 5.0.tar.gz
tar zxvf scim-pinyin-0.5.0.tar.gz
cd scim-pinyin-0.5.0
dh_make -e oneleaf@gmail.com -f ../scim-pinyin-0.5.0.tar.gz
dpkg-buildpackage -rfakeroot
cd ../../

#scim-qtimm 制作失败,需要打补丁的Qt lib,放弃了。
sudo apt-get install libqt3-dev
wget http://jaist.dl.sourceforge.net/sourcef ... 95.tar.bz2
tar jxvf scim-qtimm-0.8.95.tar.bz2
cd scim-qtimm-0.8.95
dh_make -e oneleaf@gmail.com -f ../scim-qtimm-0.8.95.tar.bz2
dpkg-buildpackage -rfakeroot

configure: error:
The Qt library was not compiled with the qt-immodule patch
applied please download it from
http://immodule-qt.freedesktop.org/Soft ... QtDownload and recompile Qt.
make: *** [config.status] 错误 1
cd ../../

#skim 完成
mkdir skim
cd skim
sudo apt-get install kde-core
sudo apt-get install kdelibs4-dev
wget http://jaist.dl.sourceforge.net/sourcef ... .0.tar.bz2
tar jxvf skim-1.4.0.tar.bz2
cd skim-1.4.0
dh_make -e oneleaf@gmail.com -f ../skim-1.4.0.tar.bz2
export QTDIR=/usr/lib/kde3
vim debian/rules
#将 CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info 行,修改为 CFLAGS="$(CFLAGS)" ./configure --prefix=/usr
sudo dpkg-buildpackage -rfakeroot
cd ../../

#scim-fcitx 完成
mkdir scim-fcitx
cd scim-fcitx
wget http://jaist.dl.sourceforge.net/sourcef ... .1.tar.bz2
tar jxvf scim-fcitx.3.1.1.tar.bz2
mv fcitx scim-fcitx-3.1.1
cd scim-fcitx-3.1.1
dh_make -e oneleaf@gmail.com -f ../scim-fcitx.3.1.1.tar.bz2
sudo dpkg-buildpackage -rfakeroot
cd ../../
上次由 oneleaf 在 2005-07-20 15:31,总共编辑 4 次。
当净其意如虚空,远离妄想及诸取,令心所向皆无碍
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 yongyi » 2005-07-19 17:06

正在尝试skim...
好啊!!非常支持,精神上 :P
不过,skim应该也需要安装scim的吧?
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#3

帖子 yonsan » 2005-07-19 17:13

呵呵,支持!! 多贴点这样的文章让大家多学点知识!!
I will be back!
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 yongyi » 2005-07-19 22:22

有人能告诉我这skim要怎么用的??
我现在安装了scim scim-fcitx skim,但怎么才能用上skim啊?我按照官方的手册来做,但怎么好多命令都提示 command not found?
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
auther
帖子: 1
注册时间: 2005-08-16 22:34
送出感谢: 0
接收感谢: 0

請提供source.list

#5

帖子 auther » 2005-08-16 22:46

oneleaf兄:
你提到的這部份
sudo apt-get install gtk2-engines-dev
sudo apt-get install build-essential
sudo apt-get install dh-make
sudo apt-get install debhelper
sudo apt-get install fakeroot

我都找不到安裝,可否post 一下你的source.list檔,萬分感謝啦:-)
头像
oneleaf
论坛管理员
帖子: 10238
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 107 次

#6

帖子 oneleaf » 2005-08-16 23:02

使用快速设置指南里面讲的源就可以了。
当净其意如虚空,远离妄想及诸取,令心所向皆无碍
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#7

帖子 firehare » 2005-08-16 23:04

支持
等一叶兄大致都搞清楚之后,建议写一个文档,以便我们学习学习!
我心无畏,源自于我心无知。
图片
demonstrate
帖子: 2
注册时间: 2005-08-18 1:02
送出感谢: 0
接收感谢: 0

I failed in building scim-pinyin

#8

帖子 demonstrate » 2005-08-18 19:57

I found a scim package(1.4) built in a certain src.
So, I just download a scim-pinyin and scim-qtimm. When I tried scim-pinyin
according to u, the dpkg-buildpackage reported the following error:

checking for scim >= 1.2.0... Package scim was not found in the pkg-config search path. Perhaps you should add the directory containing `scim.pc' to the PKG_CONFIG_PATH environment variable No package 'scim' found
configure: error: Library requirements (scim >= 1.2.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.

I never used debian before, so I am still confused with the package building process, would you please tell me how to deal with this error?
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 yongyi » 2005-08-19 22:36

先安装scim >= 1.2.0
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
回复

回到 “老旧版本支持”